#' Ligand-receptor interactions in CellChat database for mouse
#'
#' The ligand-receptor interaction database curated in CellChat tool
#'
#' @format A list includes the ligand-receptor interactions
#' @source \url{https://github.com/sqjin/CellChat/}
"CellChatDB.mouse"

#' Ligand-receptor interactions in CellChat database for human
#'
#' The ligand-receptor interaction database curated in CellChat tool
#'
#' @format A list includes the ligand-receptor interactions
#' @source \url{https://github.com/sqjin/CellChat/}
"CellChatDB.human"

#' Mouse Protein-Protein interactions
#'
#' An adjacency matrix of the high confidence known experimental interactions
#' between mouse proteins on STRINGdb.
#'
#' @format A square matrix where A_{ij}=1 if protein i interacts with protein j
#' @source \url{http://www.string-db.org/}
"PPI.mouse"

#' Ligand-receptor interactions in CellChat database for Zebrafish
#'
#' The ligand-receptor interaction database curated in CellChat tool
#'
#' @format A list includes the ligand-receptor interactions
#' @source \url{https://github.com/sqjin/CellChat/}
"CellChatDB.zebrafish"

#' Human Protein-Protein interactions
#'
#' An adjacency matrix of the high confidence known experimental interactions
#' between human proteins on STRINGdb.
#'
#' @format A square matrix where A_{ij}=1 if protein i interacts with protein j
#' @source \url{http://www.string-db.org/}
"PPI.human"
